import { Form, Input, Card, InputNumber, Select, message, Button } from 'antd';
import { history } from 'umi';
import ProCard from '@ant-design/pro-card';
import { useState, useEffect } from 'react';
// import { getTagList } from '@/services/tag';
// import { addAttaList, gettaTouristForm, EditaddAttaList } from '@/services/AttaList'

const { TextArea } = Input;
const { Option } = Select;
const formItemLayout = { labelCol: { span: 6 }, wrapperCol: { span: 14 } };

const goBack = () => {
  history.goBack();
};
const FormItem = Form.Item;
export default (props) => {
  const { location } = props;
  const { id } = location.query;
  const [form] = Form.useForm();
  const [listForm, setListForm] = useState({});
  const [loading, setLoading] = useState(false);
  const [imageList, setImageList] = useState([]);

  const Submit = (data) => {
    const typeList = (data.typeList || []).map((x) => {
      return { ...x, targetId: id, targetType: 'tourist' };
    });
    setLoading(true);

    // if (id) {
    //   EditaddAttaList(id, { ...listForm, ...data, imageList, typeList }).then(() => {
    //     setLoading(false);
    //     message.success('数据更新成功');
    //     goBack();
    //   })
    //     .catch(err => {
    //       setLoading(false);
    //       message.error(err.message || err);
    //     });
    // } else {
    //   addAttaList({ ...data, imageList, typeList }).then((res) => {
    //     setLoading(false);
    //     message.success('数据保存成功');
    //     history.replace(`/Attractions/Edit?id=${res.touristId}`)
    //   })
    //     .catch(err => {
    //       setLoading(false);
    //       message.error(err.message || err);
    //     });
    // }
  };

  //地址--占位
  const [newLocName, setLocName] = useState('');
  const [newAddress, setAddress] = useState('');

  const selectTagList = (params) => {
    // return getTagList({
    // }).then((res) => {
    // }).catch((err) => {
    //   return {
    //     success: false,
    //   }
    // })
  };

  const imageInput = (image) => {
    return {
      uid: image.imageId,
      url: image.url,
    };
  };

  const imageOutput = (image) => {
    return {
      imageId: image?.raw?.imageId,
      shopId: id,
      url: image.url,
    };
  };
  useEffect(() => {
    selectTagList();
    // if (id) {
    //   gettaTouristForm(id).then((res) => {
    //     setListForm(res)
    //     form.setFieldsValue(res)
    //     setImageList(res?.imageList || [])
    //   })
    // }
  }, [id]);

  return (
    <Card>
      <ProCard tabs={{ type: 'card' }}>
        <ProCard.TabPane key={1} tab="农机编辑">
          <Form {...formItemLayout} onFinish={Submit} form={form}>
            <FormItem
              label="农机名"
              name="name"
              rules={[{ required: true, message: '请输入农机名' }]}
            >
              <Input placeholder="请输入农机名" style={{ width: '350px' }} />
            </FormItem>
            <FormItem
              label="农机类型"
              name="typeId"
              rules={[{ required: true, message: '请选择农机类型' }]}
            >
              <Select style={{ width: '350px' }}>
                <Option value="6" key="6">
                  {6}
                </Option>
                <Option value="7" key="7">
                  {7}
                </Option>
              </Select>
            </FormItem>
            <FormItem
              label="农机归属"
              name="regionId"
              rules={[{ required: true, message: '请选择农机归属' }]}
            >
              <Select style={{ width: '350px' }}>
                <Option value="6" key="6">
                  {6}
                </Option>
                <Option value="7" key="7">
                  {7}
                </Option>
              </Select>
            </FormItem>
            <FormItem label="价格" name="price" rules={[{ required: true, message: '请输入价格' }]}>
              <Input placeholder="请输入价格" style={{ width: '350px' }} />
            </FormItem>
            <FormItem
              label="押金"
              name="deposit"
              rules={[{ required: true, message: '请输入押金' }]}
            >
              <Input placeholder="请输入押金" style={{ width: '350px' }} />
            </FormItem>
            <FormItem
              label="人工费"
              name="laborCost"
              rules={[{ required: true, message: '请输入人工费' }]}
            >
              <Input placeholder="请输入人工费" style={{ width: '350px' }} />
            </FormItem>
            <FormItem label=" " colon={false}>
              <Button type="default" onClick={() => goBack()}>
                返回
              </Button>
              <Button
                type="primary"
                loading={loading}
                htmlType="submit"
                style={{ marginLeft: '4em' }}
              >
                保存
              </Button>
            </FormItem>
          </Form>
        </ProCard.TabPane>
      </ProCard>
    </Card>
  );
};
