import SquareBox from '@/components/ScreenBox/SquareBox';
import TitleBox from '@/components/ScreenBox/TitleBox';
import { Pie, G2 } from '@ant-design/plots';
// import ba from './a.png'
import RedRing from '@/assets/images/screen/ring-red.png';

export default (props) => {
  const data = [
    {
      type: '收割机',
      value: 27,
    },
    {
      type: '播种机',
      value: 25,
    },
    {
      type: '农药机',
      value: 18,
    },
    {
      type: '其他',
      value: 70,
    },
  ];

  const config = {
    // color: [
    //   'r(0.5, 0.5, 1) 0:rgba(225,225,225,0.0) 0.25:#FB9900 0.5:rgba(225,225,225,0.0)  0.75:1:#FB9900 1:#FB9900',
    //   'r(0.5, 0.5, 1) 0:rgba(225,225,225,0.0) 1:#23E8AE',
    //   'r(0.5, 0.5, 1) 0:rgba(225,225,225,0.0) 1:#E63404',
    // ],
    // pieStyle: {
    //   strokeOpacity: 0,
    //   lineWidth: 0,
    // },
    pieStyle: () => {
      return {
        fill: `p(n)${RedRing}`,
      };
    },
    statistic: {
      title: false,
      content: {
        style: {
          whiteSpace: 'pre-wrap',
          overflow: 'hidden',
          textOverflow: 'ellipsis',
        },
        content: ' ',
      },
    },
    appendPadding: 10,
    data,
    angleField: 'value',
    colorField: 'type',
    innerRadius: 0.8,
    radius: 0.75,
    label: {
      type: 'spider',
      labelHeight: 28,
      content: '{name}\n{percentage}',
      fill: 'rgba(225, 0, 0, 0.65)',
    },

    interactions: [
      {
        type: 'element-selected',
      },
      {
        type: 'element-active',
      },
    ],
  };
  return (
    <div>
      <TitleBox value="农机类型统计" />
      <SquareBox>
        <Pie {...config} />
      </SquareBox>
    </div>
  );
};
